﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using DividendGraph.Types;

namespace DividendGraph.Manager.Interface
{
    public interface IRepository
    {
        Dividend GetById(string ticker);
        Dividend GetByMonth(string ticker, int month, int year);
        List<Dividend> GetByRange(string ticker, Range range);
    }
}
